#!/bin/sh
set -e

# Remove service
rc-update del pandora || true
rm -f /etc/init.d/pandora
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
echo 'DROP DATABASE pandora; DROP ROLE pandora;' | lxc-attach -u 5432 -g 5432 postgres -- psql
[ ! -z ${STOP_POSTGRES} ] && service postgres stop

# Remove RabbitMQ vhost and user
[ ! -e /run/openrc/started/rabbitmq ] && service rabbitmq start && STOP_RABBITMQ=1
lxc-attach rabbitmq -- rabbitmqctl delete_vhost /pandora
lxc-attach rabbitmq -- rabbitmqctl delete_user pandora
[ ! -z ${STOP_RABBITMQ} ] && service rabbitmq stop
